/*
 *   Author & copyright (c) 2012: Vitaliy Konovalov
 *   Developed with support of University of Barcelona
 *   Special thanks to Sergio Escalera & Albert Clapes
 */
#include "main.h"
//---------------------------------------------------------------------------
// Global Variables
//---------------------------------------------------------------------------

//xn::Context g_Context;
//xn::ScriptNode g_scriptNode;
//xn::DepthGenerator g_DepthGenerator;
//xn::UserGenerator g_UserGenerator;
//xn::ImageGenerator g_ImageGenerator;
//xn::DepthMetaData depthMD;
//xn::SceneMetaData sceneMD;
//xn::ImageMetaData imageMD;
//xn::Recorder recorder;
//xn::Player g_Player;
//XnStatus nRetVal = XN_STATUS_OK;

static const double pi = 3.14159265358979323846;
using namespace pcl;
typedef PointXYZRGB PointT;
PointCloud<PointT>::Ptr pCloud (new PointCloud<PointT>);
PointCloud<PointT>::Ptr pCloudFiltered (new PointCloud<PointT>);


pcl::VoxelGrid< PointT > vxGrid;
int frameID;
Mat imageA;
Mat imageB;
int xRes=640,yRes=480;
int fileNumber = 0;
float NaN = numeric_limits<float>::quiet_NaN();

Mat glb_flow;

vector<int> glb_geoval;

float coordx,coordy,coordz;

float threshold_mm = 5;
//float threshold_numpoints = 0.3; // 30%
float threshold_numpoints = 0.01; // 1%
//-Distancias: 5mm, 10mm, 15mm, 20mm, 25mm
//-Threshold geodesic: 1%, 2% 3% 4% 5%

int maxIters = 200;
float distThrehold=0.006;
int clusterTolerance = 190;
int minClustSize = 2;
int maxClustSize = 1083;


float glb_centr = -1;


